# 1. Абонамент: Получаване на събития

Следвайте абонаменти, когато `ВЪВЕЖДАНЕ`/`ПРОМЯНА`/`ПРЕМАХВАНЕ` се извършват действия с "Ферма", "Парцел", "СателитноИзображениеНаПарцел", "РастернаАналитичнаКарта", "ВекторнаАналитичнаКарта", други обекти.

Механизмът за абонаменти е изграден върху MQTT и WebSocket. Нашата препоръка е да започнете интеграцията като прочетете [статията за AWS AppSync абонаменти](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).&#x20;

{% hint style="info" %}
Събитията от абонамента се изпращат веднага щом събитието се случи в бекенда на GeoPard.
{% endhint %}

{% hint style="info" %}
Всяко абонаментно събитие има уникална идентификация, наречена `uuid`, която е полезна за филтриране на обработени и пропуснати събития, поискани от [82. Заявка: Възстановяване на абонаментни събития](/geopard-tutorials/bg/api-dokumenti/obsh-pregled-na-zayavkite-km-geopard-api/82.-mutaciya-vzstanovyavane-na-sbitiyata-ot-abonamenta.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
subscription FollowPlatformEvent {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    action
    nodePath {
      entity
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/api-dokumenti/obsh-pregled-na-zayavkite-km-geopard-api/1.-abonament-poluchavane-na-sbitiya.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
